[gnome-initial-setup] autogen: Flesh out more with standard boilerplate
- From: Colin Walters <walters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-initial-setup] autogen: Flesh out more with standard boilerplate
- Date: Thu, 8 Nov 2012 23:46:01 +0000 (UTC)
commit 0923efec801b1e75052e6a090a2f3ba73c9a2269
Author: Colin Walters <walters verbum org>
Date: Thu Nov 8 18:34:58 2012 -0500
autogen: Flesh out more with standard boilerplate
Trying to exec this will fail since it has no shebang line. Also, we
might as well copy the boilerplate.
autogen.sh | 23 +++++++++++++++++++++++
1 files changed, 23 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 532be14..4865b47 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+REQUIRED_AUTOMAKE_VERSION=1.7
+USE_GNOME2_MACROS=1
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gnome-initial-setup"
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/gnome-initial-setup.doap) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level gnome-settings-daemon directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common"
+ exit 1
+}
+
. gnome-autogen.sh
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]